@@ -0,0 +1,9 @@
+---
+
+- id: shellharden
+ name: Shell Syntax Check
+ description: "Runs https://github.com/anordal/shellharden on shell scripts."
+ entry: pre_commit_hooks/shellharden.sh
+ language: script
+ types:
+ - shell
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+set -eu -o pipefail
+DEBUG=${DEBUG:=0}
+if [[ "$DEBUG" = "1" ]]; then
+ set -o xtrace
+if ! hash shellharden 2>/dev/null; then
+ cat <<< "[ERROR] 'shellharden' not found." 1>&2;
+ exit 78
+fi
+echo "$@"
+exit 1
+shellharden "$@"